<?xml version="1.0" encoding="utf-8" ?>
<objects xmlns='http://www.springframework.net'>

    <object id="UsuarioService" type="MicroUniverso.Orcamento.Servicos.Spec.IUsuarioService, MicroUniverso.Orcamento.Servicos.Spec"
          factory-object="UsuarioServiceChannelFactory"
          factory-method="CreateChannel" />

    <object id="UsuarioServiceChannelFactory"
            type="System.ServiceModel.ChannelFactory`1[[MicroUniverso.Orcamento.Servicos.Spec.IUsuarioService, MicroUniverso.Orcamento.Servicos.Spec]], System.ServiceModel">

        <constructor-arg name="endpointConfigurationName" value="UsuarioService" />

    </object>


    <object id="ClienteService" type="MicroUniverso.Orcamento.Servicos.Spec.IClienteService, MicroUniverso.Orcamento.Servicos.Spec"
            factory-object="ClienteServiceChannelFactory"
            factory-method="CreateChannel" />

    <object id="ClienteServiceChannelFactory"
            type="System.ServiceModel.ChannelFactory`1[[MicroUniverso.Orcamento.Servicos.Spec.IClienteService, MicroUniverso.Orcamento.Servicos.Spec]], System.ServiceModel">

        <constructor-arg name="endpointConfigurationName" value="ClienteService" />

    </object>


    <object id="ProdutoService" type="MicroUniverso.Orcamento.Servicos.Spec.IProdutoService, MicroUniverso.Orcamento.Servicos.Spec"
          factory-object="ProdutoServiceChannelFactory"
          factory-method="CreateChannel"
          singleton="false" />

    <object id="ProdutoServiceChannelFactory"
            type="System.ServiceModel.ChannelFactory`1[[MicroUniverso.Orcamento.Servicos.Spec.IProdutoService, MicroUniverso.Orcamento.Servicos.Spec]], System.ServiceModel"
            singleton="false">

        <constructor-arg name="endpointConfigurationName" value="ProdutoService" />

    </object>

    <object id="VendedorService" type="MicroUniverso.Orcamento.Servicos.Spec.IVendedorService, MicroUniverso.Orcamento.Servicos.Spec"
            factory-object="VendedorServiceChannelFactory"
            factory-method="CreateChannel"
            singleton="false" />

    <object id="VendedorServiceChannelFactory"
            type="System.ServiceModel.ChannelFactory`1[[MicroUniverso.Orcamento.Servicos.Spec.IVendedorService, MicroUniverso.Orcamento.Servicos.Spec]], System.ServiceModel"
            singleton="false">

        <constructor-arg name="endpointConfigurationName" value="VendedorService" />

    </object>

    <object id="FilialService" type="MicroUniverso.Orcamento.Servicos.Spec.IFilialService, MicroUniverso.Orcamento.Servicos.Spec"
            factory-object="FilialServiceChannelFactory"
            factory-method="CreateChannel"
            singleton="false" />

    <object id="FilialServiceChannelFactory"
            type="System.ServiceModel.ChannelFactory`1[[MicroUniverso.Orcamento.Servicos.Spec.IFilialService, MicroUniverso.Orcamento.Servicos.Spec]], System.ServiceModel"
            singleton="false">

        <constructor-arg name="endpointConfigurationName" value="FilialService" />

    </object>


    <object id="OrcamentoService" type="MicroUniverso.Orcamento.Servicos.Spec.IOrcamentoService, MicroUniverso.Orcamento.Servicos.Spec"
            factory-object="OrcamentoServiceChannelFactory"
            factory-method="CreateChannel"
            singleton="false" />

    <object id="OrcamentoServiceChannelFactory"
            type="System.ServiceModel.ChannelFactory`1[[MicroUniverso.Orcamento.Servicos.Spec.IOrcamentoService, MicroUniverso.Orcamento.Servicos.Spec]], System.ServiceModel"
            singleton="false">

        <constructor-arg name="endpointConfigurationName" value="OrcamentoService" />

    </object>

</objects>